<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Generate ServiceType
 * @subpackage Services
 */
class Generate extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named generateBordereauByParcelsNumbers
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GenerateBordereauByParcelsNumbers $parameters
     * @return \StructType\GenerateBordereauByParcelsNumbersResponse|bool
     */
    public function generateBordereauByParcelsNumbers(\StructType\GenerateBordereauByParcelsNumbers $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->generateBordereauByParcelsNumbers($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named generateCN23
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GenerateCN23 $parameters
     * @return \StructType\GenerateCN23Response|bool
     */
    public function generateCN23(\StructType\GenerateCN23 $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->generateCN23($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named generateLabelService
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GenerateLabelService $parameters
     * @return \StructType\GenerateLabelServiceResponse|bool
     */
    public function generateLabelService(\StructType\GenerateLabelService $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->generateLabelService($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named generateCN23Service
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GenerateCN23Service $parameters
     * @return \StructType\GenerateCN23ServiceResponse|bool
     */
    public function generateCN23Service(\StructType\GenerateCN23Service $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->generateCN23Service($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named generateLabel
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GenerateLabel $parameters
     * @return \StructType\GenerateLabelResponse|bool
     */
    public function generateLabel(\StructType\GenerateLabel $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->generateLabel($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named
     * generateBordereauByParcelsNumbersService
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GenerateBordereauByParcelsNumbersService $parameters
     * @return \StructType\GenerateBordereauByParcelsNumbersServiceResponse|bool
     */
    public function generateBordereauByParcelsNumbersService(\StructType\GenerateBordereauByParcelsNumbersService $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->generateBordereauByParcelsNumbersService($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named generateToken
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GenerateToken $parameters
     * @return \StructType\GenerateTokenResponse|bool
     */
    public function generateToken(\StructType\GenerateToken $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->generateToken($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\GenerateBordereauByParcelsNumbersResponse|\StructType\GenerateBordereauByParcelsNumbersServiceResponse|\StructType\GenerateCN23Response|\StructType\GenerateCN23ServiceResponse|\StructType\GenerateLabelResponse|\StructType\GenerateLabelServiceResponse|\StructType\GenerateTokenResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
